Get Repricer Items by Item Numbers
Returns repricer configurations for a batch of items specified by item number.
This operation is designed for Newegg.com and Newegg.ca.
Resource URL
Newegg.com: https://api.newegg.com/marketplace/usa/contentmgmt/item/repricer/item/list/bynumbers?sellerid={sellerid}
Newegg.ca: https://api.newegg.com/marketplace/can/contentmgmt/item/repricer/item/list/bynumbers?sellerid={sellerid}
Note: Please make sure your request URL is all in lower case (except for Seller ID) and cannot contain any blank spaces or line breaks.
Parameters
| Name | Required? | Description |
|---|---|---|
| sellerId | Yes | Seller ID, used for authentication. |
| itemNumbers | Yes | Request body: JSON array of Newegg item number strings. |
Resource Information
| HTTP Method | Authentication? | Request Formats | Response Formats | Rate Limited? | Maximum Size of Request |
|---|---|---|---|---|---|
| POST | Required | XML, JSON | XML, JSON | 500 requests per hour |
Request Body
Example: XML, Request
POST https://api.newegg.com/marketplace/usa/contentmgmt/item/repricer/item/list/bynumbers?sellerid={sellerid}
Authorization: 720ddc067f4d115bd544aff46bc75634
Secretkey: 21EC2020-3AEA-1069-A2DD-08002B30309D
Content-Type: application/xml
Accept: application/xml
<NeweggAPIRequest>
<OperationType>GetRepricerItemsByNumbers</OperationType>
<RequestBody>
<ItemNumbers>
<ItemNumber>9SIA2GS0000654</ItemNumber>
<ItemNumber>9SIA2GS0000636</ItemNumber>
</ItemNumbers>
</RequestBody>
</NeweggAPIRequest>
Example: Json, Request
POST https://api.newegg.com/marketplace/usa/contentmgmt/item/repricer/item/list/bynumbers?sellerid={sellerid}
Authorization: 720ddc067f4d115bd544aff46bc75634
Secretkey: 21EC2020-3AEA-1069-A2DD-08002B30309D
Content-Type: application/json
Accept: application/json
[
"9SIA2GS0000654",
"9SIA2GS0000636"
]
Response Body
| Attribute | Format | Description |
|---|---|---|
| IsSuccess | Boolean | Get feed status operation: True: Successful False: Not successful |
| SellerID | String | Your seller ID |
| OperationType | String | Fixed value: GetRepricerItemsByNumbers |
| ResponseDate | String | Your response date time (Pacific Standard Time) |
| RepricerItems | List | List of repricer items for the current page. |
| RepricerItems[].Id | Integer | Primary key of the repricer item record. |
| RepricerItems[].StrategyId | Integer | ID of the associated repricer strategy. |
| RepricerItems[].StrategyTypeId | Integer | Strategy type ID from the associated strategy. |
| RepricerItems[].StrategyName | String | Name of the associated strategy. |
| RepricerItems[].SellerId | String | Seller ID. |
| RepricerItems[].ItemNumber | String | Newegg item number. |
| RepricerItems[].ItemId | String | Item unique ID. |
| RepricerItems[].ParentItem | String | Parent item number. |
| RepricerItems[].CurrencyCode | String | Currency code, e.g. USD, CAD. |
| RepricerItems[].CurrentPrice | Decimal | Current selling price. |
| RepricerItems[].MinimumPrice | Decimal | Minimum price limit. |
| RepricerItems[].MaximumPrice | Decimal | Maximum price limit. |
| RepricerItems[].MinimumPricePercent | Decimal | Minimum price limit as a percentage. |
| RepricerItems[].MaximumPricePercent | Decimal | Maximum price limit as a percentage. |
| RepricerItems[].Status | String | Repricer status: Start or Stop. |
| RepricerItems[].InUser | String | Created by. |
| RepricerItems[].InDate | DateTime | Creation timestamp. |
| RepricerItems[].LastEditUser | String | Last modified by. |
| RepricerItems[].LastEditDate | DateTime | Last modified timestamp. |
| RepricerItems[].AmazonLinks | List | List of Amazon competitor product URLs. |
| RepricerItems[].WalmartLinks | List | List of Walmart competitor product URLs. |
| RepricerItems[].BestbuyLinks | List | List of BestBuy competitor product URLs. |
| TotalCount | Integer | Total number of matching records for pagination. |
Example: XML, Response
<?xml version="1.0" encoding="utf-8"?>
<NeweggAPIResponse>
<IsSuccess>true</IsSuccess>
<SellerID>A2GS</SellerID>
<OperationType>GetRepricerItemsByNumbers</OperationType>
<ResponseDate>2026-06-27T11:03:33.042248+08:00</ResponseDate>
<ResponseBody>
<Item>
<Id>502</Id>
<StrategyId>150</StrategyId>
<StrategyTypeId>3</StrategyTypeId>
<StrategyName>FOR external</StrategyName>
<SellerId>A2GS</SellerId>
<ItemNumber>9SIA2GS0000636</ItemNumber>
<ItemId>9SIA2GS0000636USA</ItemId>
<ParentItem>0EP-000E-00009</ParentItem>
<CurrencyCode>USD</CurrencyCode>
<CurrentPrice>2.00</CurrentPrice>
<Status>STOP</Status>
<InUser>aw78@newegg.com</InUser>
<InDate>2025-04-15T00:50:07</InDate>
<LastEditUser>aw78@newegg.com</LastEditUser>
<LastEditDate>2025-04-15T00:50:07</LastEditDate>
</Item>
</ResponseBody>
</NeweggAPIResponse>
Example: Json, Response
{
"IsSuccess": true,
"SellerID": "A2GS",
"OperationType": "GetRepricerItemsByNumbers",
"ResponseDate": "2026-06-27T11:03:33.042248+08:00",
"ResponseBody": [
{
"Id": 502,
"StrategyId": 150,
"StrategyTypeId": 3,
"StrategyName": "FOR external",
"SellerId": "A2GS",
"ItemNumber": "9SIA2GS0000636",
"ItemId": "9SIA2GS0000636USA",
"ParentItem": "0EP-000E-00009",
"CurrencyCode": "USD",
"CurrentPrice": 2,
"Status": "STOP",
"InUser": "aw78@newegg.com",
"InDate": "2025-04-15T00:50:07",
"LastEditUser": "aw78@newegg.com",
"LastEditDate": "2025-04-15T00:50:07"
}
]
}
Request Failure Errors
| Error Code | Description |
|---|---|
| InvalidToken | Illegal secret key. |
| — | The provided SellerId is null. |
| CE003 | The 'itemNumber' element is invalid - The string '9SIA2GC0000835' is not a valid value. |
Example: XML, Response
<?xml version="1.0" encoding="utf-8"?>
<Errors>
<Error>
<Code>InvalidToken</Code>
<Message>Illegal secret key.</Message>
</Error>
</Errors>
Example: Json, Response
[
{
"Code": "InvalidToken",
"Message": "Illegal secret key."
}
]
Last updated: July 10, 2026